<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();

$modelo=$sessao->getVar('controle');
$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$limite=$sessao->getVar('controle');//numerro de colunas
$controle1=$sessao->getVar('controle1');//titullo do documento
$controle3=$sessao->getVar('controle3');//titulos das colunas
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

 $linhas=file("impdetail.txt",0); //abre o arquivo no arry linhas
 $tama=sizeof($linhas);

	 for($i=0;$i<$tama;$i++)
	 {
    	 $reg=explode(":",$linhas[$i]);
         $matrizConteudo[$i+1][1]=$reg[0];
		 $matrizConteudo[$i+1][2]=$reg[1];
		 $matrizConteudo[$i+1][3]=$reg[2];
		 $matrizConteudo[$i+1][4]=$reg[3];
		 $matrizConteudo[$i+1][5]=$reg[4];
		 $matrizConteudo[$i+1][6]=$reg[5];
	 }
	 
$linhaPorRelatorio=40;	 
$variavelSingle=$tama/$linhaPorRelatorio;//pode dar por exemplo 1.4 
$lupes=ceil($variavelSingle);

$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 

             list($titulo1, $titulo2, $titulo3, $titulo4, $titulo5, $titulo6) = explode(":", $controle3);//




//vai criar tantos loops quanto precisar
for($lu=1;$lu<=$lupes;$lu++): 
             $cota1=0;
 
			 $pdf->AddPage();//adicionando a primera pafina 
 
			 //cabecalho
			 	$posicaoCab1=60;$posicaoCab2=245;
	            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	            $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
				$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
     			$pdf->setXY($posicaoCab1,$cota1+15);$pdf->Cell(140,5,'Requerente:'.utf8_decode($produtor),0,1,'L');//lab nome
				
                $pdf->setFont('Arial','B','9');
			    $pdf->setXY($margemEsquerda,$cota1+28);$pdf->Cell(150,5,utf8_decode($controle1),1,0,'C');//lab nome
                $pdf->setFont('Arial','','8');


/*atencao para o detalhe
Nao deletar estes comentarios
sessao controle=numero de colunas
sessao controle1= Aqui eu trago o titulo geral do documento
sessao controle2= largura das colunas
sessao controle3=Titulos das colunas
imdetail.txt=matriz de dados
*/ 


					$matrizLargura[1]=13;  $matrizTitulo[1]=$titulo1;
					$matrizLargura[2]=17;  $matrizTitulo[2]=$titulo2;
					$matrizLargura[3]=40;  $matrizTitulo[3]=$titulo3;
					$matrizLargura[4]=40;  $matrizTitulo[4]=$titulo4;
					$matrizLargura[5]=20;  $matrizTitulo[5]=$titulo5;
					$matrizLargura[6]=30;  $matrizTitulo[6]=$titulo6;
	
            //esta linha mede quantos itens eu defini no array e é basica para imperessao

				
            //aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
            $cota1=$cota1+35;
			$pdf->setXY($margemEsquerda,$cota1);
            for($j=1;$j<=$limite;$j++):
				$largura=$matrizLargura[$j];
				$larguraTexto=ceil($largura*.7);
				$texto=$matrizTitulo[$j];
				$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
			    $pdf->Cell($largura,5,utf8_decode($texto),1,0,'L',1);//lab nome
			endfor;
 

		
			
$contador=$linhaPorRelatorio;
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas			
			for($i=1;$i<=$contador;$i++):
			    $linhaCalculada=($lu-1)*$linhaPorRelatorio +$i;
                $cota1+=5;
				$pdf->setXY($margemEsquerda,$cota1);
                for($j=1;$j<=$limite;$j++): 
					$largura=$matrizLargura[$j];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$linhaCalculada][$j];
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,5,utf8_decode($texto),1,0,'L');//lab nome
                endfor;
			endfor;
			$cota1+=5;


//IMPRIME LOCAL DATA E ASSINATURA
$cotaFinal=260;//era 170
$pdf->setXY($margemEsquerda,$cotaFinal);
$pdf->Cell(80,5,utf8_decode($vetorCabecalho[6]).', '.date("d/m/Y"),0,1,'L');//

$cotaFinal=$cotaFinal+10;
//IMPRIME O REQUERENTE
$pdf->Line(55,$cotaFinal,105,$cotaFinal);
$pdf->setXY(30,$cotaFinal);
$pdf->Cell(100,5,utf8_decode($produtor),0,1,'C');//
$pdf->setXY(30,$cotaFinal+5);
$pdf->Cell(100,5,utf8_decode('Cliente'),0,1,'C');//

	 //captura o rt
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');

$nomeTecnico=$vetorTecnico[1];//nome do rt
//IMPRIME O TECNICO
$pdf->Line(130,$cotaFinal,190,$cotaFinal);
$pdf->setXY(110,$cotaFinal);
$pdf->Cell(100,5,utf8_decode($nomeTecnico),0,1,'C');//
$pdf->setXY(110,$cotaFinal+5);
$pdf->Cell(100,5,utf8_decode('Responsável técnico'),0,1,'C');//

endfor;//este endefor encerra os lops para encher a pagina



ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
